## class Code

> Functions and constants for shape and subject codes.

### Public Classes

  enum | Type

### Public Fields

  static TypeName | typeNames []

### Public Methods

  static const char* | GetName (int code) returns the name of a type having this code (0 if it doesn't exist).
  static int | GetCode (const char* name) returns the code of type name (0 if it doesn't exist).
  static int | GetIndex (int code, const int codelist[]) returns code subject index (> 1) or 0 if code isn't in code list.

## Documentation

> Functions and constants for shape and subject codes.

`enum Type`

`static const char* GetName(int code)`
  returns the name of a type having this code (0 if it doesn't exist).

`static int GetCode(const char* name)`
  returns the code of type name (0 if it doesn't exist).

`static int GetIndex(int code, const int codelist[])`
  returns code subject index (> 1) or 0 if code isn't in code list.

`static TypeName typeNames[]`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de